cURL
curl --request DELETE \
--url https://api.useanima.sh/v1/email/drafts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.useanima.sh/v1/email/drafts/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.useanima.sh/v1/email/drafts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agentId": "<string>",
"orgId": "<string>",
"fromIdentityId": "<string>",
"to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"body": "<string>",
"bodyHtml": "<string>",
"inReplyTo": "<string>",
"references": [
"<string>"
],
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}API Reference
Delete emaildrafts
DELETE
/
email
/
drafts
/
{id}
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Path Parameters
Draft ID
Pattern:
^[cC][^\s-]{8,}$Body
application/json
Draft lookup parameters
Response
200 - application/json
OK
Email draft resource
Unique identifier of the draft
Pattern:
^[cC][^\s-]{8,}$Owning agent ID
Pattern:
^[cC][^\s-]{8,}$Owning organization ID
Pattern:
^[cC][^\s-]{8,}$EmailIdentity used as the sender, or null to use the agent's primary identity at send time
Pattern:
^[cC][^\s-]{8,}$Recipient email addresses
CC recipient email addresses
BCC recipient email addresses
Subject line, or null if not yet written
Plain-text body, or null if not yet written
HTML body, or null if not provided
Optional In-Reply-To Message-ID for threading on send
Optional References Message-ID chain for threading
Arbitrary metadata
Show child attributes
Show child attributes
Timestamp when the draft was created
Timestamp when the draft was last updated
